/* Test CTexture scale functions */



#include <stdio.h>

#include "../3dfc.h"



main ( INT nNumArgs, char *szArgs [] )
{
   // verify parameters passed to aplication, if no parameters usage message
   if ( nNumArgs == 1 ) {
      printf ( "Scale an image load from a PCX file to 320x200 and show it.\n\nUse: scale file\n" );
      return 0;
   }

   // define file name
   CString
      oszFile ( szArgs [ 1 ] );

   // read bitmap
   CTexture
      oImage ( oszFile );

   // draw bitmap on frame buffer
   CTexture
      oFrameBuffer ( 320, 200, oImage );

   // init graphics
   CScreen
      oS;
   oS.mCreate ( MODE_MCGA );

   // load and program pal
   CMem
      oPal;
   CFilePCX
      oFile ( oszFile, oPal );
   oS.mSetPalette ( oPal );

   // show frame buffer on screen
   oS.mShow ( oFrameBuffer );

   getchar ();
}
